# org.apache.ignite.internal.managers.discovery

## Interfaces

- CustomEventListener
- DiscoveryCustomMessage
- DiscoveryServerOnlyCustomMessage
- IgniteClusterNode
- IgniteDiscoverySpi
- IgniteDiscoverySpiInternalListener

## Classes

- ClusterMetricsImpl
- ConsistentIdMapper
- CustomMessageWrapper
- DiscoCache
- DiscoveryLocalJoinData
- DiscoveryMessageResultsCollector
- DiscoveryMessageResultsCollector.NodeMessage
- GridDiscoveryManager
- GridDiscoveryTopologySnapshot
- SecurityAwareCustomMessageWrapper

## Exceptions

- IncompleteDeserializationException